# AFP d3 formats

This repo contains all d3's time formats and number formats following AFP guidelines.

It's modularized, so you can use the `import` syntax.

## Install
For now, only npm is supported.
`npm install afp-d3-format`

## Usage
```
import { fr } from 'afp-d3-format'

console.log('fr time format', fr.time)
console.log('fr number format', fr.number)

let timeLocale = d3.timeFormatLocale(fr.time)
console.log(timeLocale.format('%a %d')(new Date()))
```
